MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026647Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2015-09-06 12:132015-10-23 20:49
Reporterabv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2010OS Version64 bit
Product Version[OCCT] 6.8.0 
Target Version[OCCT] 6.9.1Fixed in Version[OCCT] 6.9.1 
Summary0026647: BRepTools::UVBounds() computes zero range by V
DescriptionFunction BRepTools::UVBounds() computes incorrect range on attached face: its V range is computed as [0,0], while it should be [-9,0].

The specifics of the problematic face is that its bounding edge has p-curve based on circle occupying range outside of default domain: [-pi, 0]. In method BndLib_Box2dCurve::Compute(), variable aT1z does not get adjusted to default range [0,2*pi] (it is adjusted only if greater than 2*pi), while probing points are within that range. Hence, the points get filtered out and not taken into account in the box.

This problem seems to appear after the fix for #23511, and is underlying cause of 0026627.
Steps To Reproducerestore bug26627-face1.brep f
xbounds f
# should return -9, 9, -9, 0
TagsNo tags attached.
Test case numberbugs modalg_6 bug26647
Attached Files? file icon bug26627-face1.brep (1,814 bytes) 2015-09-06 12:13

- Relationships
related to 0026627closedbugmaster Community [Regression] Shape Healing hangs as of OCC 6.8.0 

-  Notes
(0045156)
git (administrator)
2015-09-07 16:47

Branch CR26647 has been created by abv.

SHA-1: 289e49755d9a464512c92b3a875bff51a04589e8


Detailed log of new commits:

Author: abv
Date: Sun Sep 6 16:46:08 2015 +0300

    0026647: BRepTools::UVBounds() computes zero range by V
    
    Calculation of bounding box on conic 2d curves corrected to work properly if specified parametric range is in negative values.
    
    Test case added
(0045157)
abv (manager)
2015-09-07 16:48

Fix pushed to CR26647, please review
(0045204)
msv (developer)
2015-09-08 12:46

Reviwed.
(0045263)
git (administrator)
2015-09-08 18:56

Branch CR26647 has been updated forcibly by apv.

SHA-1: 2f975d492eb2476c99c911c3215edbfc3d9ab54d
(0045264)
apv (tester)
2015-09-08 18:57

Branch CR26647 has been rebased on the current master
(0045311)
apv (tester)
2015-09-09 13:41

Dear BugMaster,

Branch CR26647 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 2f975d492eb2476c99c911c3215edbfc3d9ab54d

Number of compiler warnings:
occt component:
   Linux: 15 (15 on master)
   Windows: 0 (0 on master)
products component:
   Linux: 39 (39 on master)
   Windows: 0 (0 on master)

Regressions/Differences:
Not detected

Testing cases:
bugs modalg_6 bug26647 - OK
http://occt-tests/CR26647-master-occt-64/Debian70-64/bugs/modalg_6/bug26647.html [^]
http://occt-tests/CR26647-master-occt-64/Windows-64-VC10/bugs/modalg_6/bug26647.html [^]

Testing on Linux:
Total MEMORY difference: 90943006 / 91947459 [-1.09%]
Total CPU difference: 17860.779999999017 / 17716.169999998972 [+0.82%]

Testing on Windows:
Total MEMORY difference: 57089930 / 57099393 [-0.02%]
Total CPU difference: 16075.903049999126 / 16228.472027999387 [-0.94%]
(0047015)
git (administrator)
2015-10-16 16:37

Branch CR26647 has been deleted by kgv.

SHA-1: 2f975d492eb2476c99c911c3215edbfc3d9ab54d

- Related Changesets
occt: master 99661617
Timestamp: 2015-09-06 13:46:08
Author: abv
Committer: bugmaster
Details ] Diff ]
0026647: BRepTools::UVBounds() computes zero range by V

Calculation of bounding box on conic 2d curves corrected to work properly if specified parametric range is in negative values.

Test case added
mod - src/BndLib/BndLib_Add2dCurve.cxx Diff ] File ]
add - tests/bugs/modalg_6/bug26647 Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-09-06 12:13 abv New Issue
2015-09-06 12:13 abv Assigned To => msv
2015-09-06 12:13 abv File Added: bug26627-face1.brep
2015-09-06 12:13 abv Relationship added related to 0023511
2015-09-06 13:51 abv Relationship added related to 0026627
2015-09-07 13:53 msv Assigned To msv => ifv
2015-09-07 16:47 git Note Added: 0045156
2015-09-07 16:48 abv File Added: bug26627_face1.brep
2015-09-07 16:48 abv File Deleted: bug26627_face1.brep
2015-09-07 16:48 abv Note Added: 0045157
2015-09-07 16:48 abv Assigned To ifv => msv
2015-09-07 16:48 abv Status new => resolved
2015-09-08 12:46 msv Note Added: 0045204
2015-09-08 12:46 msv Assigned To msv => bugmaster
2015-09-08 12:46 msv Status resolved => reviewed
2015-09-08 16:16 apv Assigned To bugmaster => apv
2015-09-08 18:56 git Note Added: 0045263
2015-09-08 18:57 apv Note Added: 0045264
2015-09-09 12:39 apv Test case number => bugs modalg_6 bug26647
2015-09-09 13:41 apv Note Added: 0045311
2015-09-09 13:41 apv Assigned To apv => bugmaster
2015-09-09 13:41 apv Status reviewed => tested
2015-09-11 14:09 bugmaster Changeset attached => occt master 99661617
2015-09-11 14:09 bugmaster Status tested => verified
2015-09-11 14:09 bugmaster Resolution open => fixed
2015-10-16 14:55 aiv Status verified => closed
2015-10-16 16:37 git Note Added: 0047015
2015-10-23 20:49 aiv Fixed in Version => 6.9.1


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker